
QGIS Application - Bug report #60

digitizing shapefile: REAL values are not stored properly

2006-04-05 09:23 AM - werchowyna-epf-pl -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10119

Description

1. start a new shapefile

2. add a REAL column

3. draw line, put 100.1 into table

4. stop editing, query the line

5. you see that 100.099999999999994 is stored instead of 100.1

Maciek

History

#1 - 2006-05-09 06:01 PM - Gary Sherman

Confirmed

#2 - 2006-05-14 11:29 PM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

This has to do with the formatting width and precision of the OFTReal field. For 0.8, i hardcoded this to a width of 32 characters and a precision of 3 digits

behind the dot. For the long term it would be good to make both a user option.

Tested against gdal-1.3.2

#3 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
